Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 967337 - Review Request: rubygem-faraday - HTTP/REST API client library
Review Request: rubygem-faraday - HTTP/REST API client library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Achilleas Pipinellis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 13:23 EDT by Anuj More
Modified: 2013-12-13 21:58 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-faraday-0.8.8-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-07 01:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
axilleas: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anuj More 2013-05-26 13:23:55 EDT
Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-faraday/rubygem-faraday.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-faraday/rubygem-faraday-0.8.7-1.fc19.src.rpm
Description: HTTP/REST API client library
Fedora Account System Username: anujmore
Comment 1 Anuj More 2013-05-26 13:34:21 EDT
Builds on mock: https://raw.github.com/execat/Packages/master/rpmspecs/rubygem-faraday/mock
rpmlint does not complain: 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Vít Ondruch 2013-06-03 07:12:27 EDT
Just for the record, there was once submitted review of faraday, which is closed now (bug 820063).
Comment 3 Achilleas Pipinellis 2013-07-26 13:02:43 EDT
Hey Anuj, are you still into this? I will take this for a review.

Btw there was released a 0.8.8 version today. I tested it and the only thing that needs change is this under %files doc:

%{gem_instdir}/script/test -> %{gem_instdir}/script/

Do you want to update your spec before I review this?
Comment 4 Anuj More 2013-07-26 21:44:01 EDT
I will update the spec in no time.
Comment 6 Achilleas Pipinellis 2013-08-05 14:08:37 EDT
Hi Anuj thanks for updating :)

A few observations:

- multibyte.txt is included in test/ so it is not needed to download it in %prep.

- In %check replace `pushd .` with `pushd .%{gem_instdir}` as it makes more sense

- Gemfile and Rakefile should not be marked with `%doc` macro as they are not documentation.

The most important is the third one and as it is not a stopper I am approving this package. Just remember to fix those issues before pushing to repos and bare in mind next time to use `rpmdev-bumpsec` when submitting a new SPEC ;)

Thanks again!



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     faraday-doc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 51 files have unknown license. Detailed output of
     licensecheck in /home/axil/review/967337-rubygem-faraday/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %doc %{gem_docdir},
     %{gem_spec}, %exclude %{gem_cache}, %{gem_libdir}
[x]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-faraday-0.8.8-1.fc20.noarch.rpm
          rubygem-faraday-doc-0.8.8-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-faraday rubygem-faraday-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-faraday (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)
    rubygem(multipart-post)

rubygem-faraday-doc (rpmlib, GLIBC filtered):
    /usr/bin/env
    rubygem-faraday



Provides
--------
rubygem-faraday:
    rubygem(faraday)
    rubygem-faraday

rubygem-faraday-doc:
    rubygem-faraday-doc



Source checksums
----------------
https://rubygems.org/gems/faraday-0.8.8.gem :
  CHECKSUM(SHA256) this package     : 24322e1618c706d114190241fbdd6433c2e3aa2a8a06403737dbe6ab6491deb2
  CHECKSUM(SHA256) upstream package : 24322e1618c706d114190241fbdd6433c2e3aa2a8a06403737dbe6ab6491deb2


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 967337
Comment 7 Achilleas Pipinellis 2013-09-03 06:57:04 EDT
Hi Anuj, just pinging for the SCM request :) Thanks.
Comment 8 Anuj More 2013-09-03 07:16:36 EDT
New Package SCM Request
=======================
Package Name: rubygem-faraday
Short Description: HTTP/REST API client library
Owners: anujmore axilleas
Branches: f19
InitialCC:
Comment 9 Vít Ondruch 2013-09-03 07:33:33 EDT
(In reply to Axilleas Pipinellis from comment #6)
> - multibyte.txt is included in test/ so it is not needed to download it in
> %prep.

Just remark: It is forbidden to download anything during build. Moreover, it is even not possible, since there is no network available in Koji build. So this definitely have to be fixed.
Comment 10 Gwyn Ciesla 2013-09-03 08:17:05 EDT
Git done (by process-git-requests).

Added f20.
Comment 11 Achilleas Pipinellis 2013-09-05 10:02:55 EDT
(In reply to Vít Ondruch from comment #9)
> (In reply to Axilleas Pipinellis from comment #6)
> > - multibyte.txt is included in test/ so it is not needed to download it in
> > %prep.
> 
> Just remark: It is forbidden to download anything during build. Moreover, it
> is even not possible, since there is no network available in Koji build. So
> this definitely have to be fixed.

Thanks, will keep that in mind.
Comment 12 Mamoru TASAKA 2013-11-16 14:25:34 EST
What is the status of this bug?
I see git procedure was already done, koji has this rpm name entry, however no build was done yet for more than 2 months.

I need this package for the dependency of rabbit. I've prepared my srpm with a bit cleaning up the srpm on comment 5 . :

http://mtasaka.fedorapeople.org/Review_request/rabbit-related/rubygem-faraday.spec
http://mtasaka.fedorapeople.org/Review_request/rabbit-related/rubygem-faraday-0.8.8-2.fc.src.rpm

Achilleas, are you still interested in this package?
Comment 13 Mamoru TASAKA 2013-11-16 14:26:32 EST
(In reply to Mamoru TASAKA from comment #12)
> Achilleas, are you still interested in this package?

Oops, I should ask Anuj, sorry.
Comment 14 Achilleas Pipinellis 2013-11-17 03:30:43 EST
Mamoru, sorry I thought this was already pushed in the repos. I can do it today.
Comment 15 Fedora Update System 2013-11-17 10:12:59 EST
rubygem-faraday-0.8.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-faraday-0.8.8-2.fc19
Comment 16 Fedora Update System 2013-11-17 11:13:30 EST
rubygem-faraday-0.8.8-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-faraday-0.8.8-2.fc20
Comment 17 Fedora Update System 2013-11-17 21:54:45 EST
rubygem-faraday-0.8.8-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 18 Fedora Update System 2013-12-07 01:53:40 EST
rubygem-faraday-0.8.8-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 19 Fedora Update System 2013-12-13 21:58:44 EST
rubygem-faraday-0.8.8-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.